+++
template = "about.html"
title = "What Is This Place"
+++

my hope is for this place to be a home of sorts. so, welcome to my home.
don't expect any stilted professionalism here, but i hope you will find care, sincerity
and the closest approximation to authenticity of which this medium is capable.

besides the blog, you can find me here:

- [@colin@fed.uninsane.org](https://fed.uninsane.org/colin): my Pleroma account for micro-blogging/socializing.
- [@colin:uninsane.org](https://matrix.to/#/@colin:uninsane.org): my Matrix account for instant messaging (a web client lives [here](https://web.matrix.uninsane.org)).
- (my name)@uninsane.org: self-hosted email. add me to your client's address book and check your spam folder for replies: not all hosts recognize my server as reputable yet.
- <https://git.uninsane.org>: a gitea instance for code hosting/collaborating/sharing (the repo for this site itself lives [here](https://git.uninsane.org/colin/uninsane)).

if you have comments or questions about anything you read here -- or if you're just generally curious
and want to know me better -- use one of the above. i'm a huge believer in the social web
(AKA "small web", "indie web", etc)
and if you're the type to be reading "about" pages on a blog like this we're likely to get along :-)

if you're looking for accounts on the above, i'm happy to host you: just click through and look for the 'register' button.

### Yes, but I Want to Know About&nbsp;_You_

if you haven't figured it out yet, my name's Colin.

i'm a guy living out his 20's in Seattle.
i grew up in the suburbs, moved to the city for uni, and can't imagine ever going back.
i've always loved to tinker, particularly with machines. in some ways DIY defines my life.

after spending my teens coding video games and synthesizers,
i continued on to study Electrical Engineering at the University of Washington.
i specialized in digital VLSI, colloquially, "chip design".
since then i've worked a couple jobs at mid-size tech companies,
but increasingly i struggle to reconcile my old days of exploring and building
things by hand with the broader norm of black-box products
delivered to passive consumers. why _can't_ i build the CPU
for this server the same way i build the software for it?
in the extreme, why _can't_ i build my own physical home the same
way i build my digital home here? let's eliminate this
division between "producer" and "consumer" and be both at the
same time: that's what i'm about.

### Attributions

special thanks to the following for powering this blog:
- SIL for providing the [Gentium](https://software.sil.org/gentium/) font used on this site.
- [Zola](https://www.getzola.org/) for providing the Markdown => HTML Static Site Generator.
- [nginx](https://nginx.org/) for developing the software which serves you this content over HTTP.
- [nixos](https://nixos.org/) for developing the operating system of this host.
- [Raspberry Pi Foundation](https://www.raspberrypi.org/) for developing the hardware which hosts all the above.
- the thousands of contributors out there contributing in every manner to the open web upon which all these things depend.

[SIL-OFL]: http://scripts.sil.org/ofl
[ZOLA-MIT]: https://github.com/getzola/zola/blob/master/LICENSE
[NGINX-2BSD]: https://nginx.org/LICENSE

